
<div class="row">
    <!-- <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">postID</th>
        <th scope="col">userID</th>
        <th scope="col">Title</th>
        <th scope="col">Body</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let post of listPosts">
        <th scope="row">{{post.userId}}</th>
        <td>{{post.userId}}</td>
        <td>{{post.title}}</td>
        <td>{{post.body}}</td>
      </tr>
    </tbody>
  </table>
</div> -->
    <input type="text" class="form-control form-control-lg" [(ngModel)]="searchText"
      placeholder="Recherche d'un produit" />
    <table class="table table-striped">
      <thead>
        <tr>
          <th scope="col"><button class="btn btn-success" (click)="tooglePicView()">{{showPictures ? "Cacher les images" : "Montrer les images"}}</button></th>
          <th scope="col">Produit</th>
          <th scope="col">Code</th>
          <th scope="col">Jour de dispo</th>
          <th scope="col">Prix</th>
          <th scope="col">Avis et votes</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let product of listProduct | filter : searchText; index as i">
          <th scope="row"><img *ngIf="showPictures" src="https://picsum.photos/100/100" /></th>
          <td><a [routerLink]="['/catalogue', product.productId]">{{product.productName}}</a></td>
          <td>{{product.productCode}}</td>
          <td>{{product.releaseDate | date:"dd/MM/yyyy"}}</td>
          <td>{{product.price | currency:"EUR"}}</td>
          <td>
            <app-star-rating [rating]='product.starRating' [itemId]='product.productId'
              (ratingClick)='ratingComponentClick($event)'></app-star-rating>
          </td>
          <td>Actions</td>
        </tr>
      </tbody>
    </table>
  </div>
